2017 © Pedro Peláez
 

library eleqhant

Eloquent extension to provide a little bit more functionality. Works for both L4 and L5

image

rentmarket/eleqhant

Eloquent extension to provide a little bit more functionality. Works for both L4 and L5

  • Monday, November 2, 2015
  • by MarkoSulamagi
  • Repository
  • 1 Watchers
  • 0 Stars
  • 5 Installations
  • PHP
  • 0 Dependents
  • 0 Suggesters
  • 0 Forks
  • 0 Open issues
  • 4 Versions
  • 0 % Grown

The README.md

Eleqhant

Latest Version on Packagist ![Software License][ico-license], (*1)

I created this small class to adjust eloquent a little bit. When extending the class with your model you will get following functionality:, (*2)

  • All database table names are in plural (users).
  • All table ID keys prefix the table name in singular (users table has primary key user_id).
  • If user is logged in and edits database data, then Eleqhant automatically updates table created_by, updated_by and deleted_by columns (if they exist in table)

Install

Via Composer, (*3)

``` bash $ composer require rentmarket/eleqhant, (*4)


## Usage Changes your models from extending Eloquent to Eleqhant and you are good to go ``` php use Rentmarket\Eleqhant; class User extends Eleqhant { // ... }

Change log

Please see CHANGELOG for more information what has changed recently., (*5)

Testing

Tests have not been written. Sorry :), (*6)

bash $ composer test, (*7)

Contributing

Please see CONTRIBUTING and CONDUCT for details., (*8)

Security

If you discover any security related issues, please email :author_email instead of using the issue tracker., (*9)

Credits

License

The MIT License (MIT). Please see License File for more information., (*10)

The Versions

02/11 2015

dev-master

9999999-dev https://github.com/thephprentmarket/eleqhant

Eloquent extension to provide a little bit more functionality. Works for both L4 and L5

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel eloquent

02/11 2015

v1.1.3

1.1.3.0 https://github.com/thephprentmarket/eleqhant

Eloquent extension to provide a little bit more functionality. Works for both L4 and L5

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel eloquent

02/11 2015

v1.1.2

1.1.2.0 https://github.com/thephprentmarket/eleqhant

Eloquent extension to provide a little bit more functionality. Works for both L4 and L5

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel eloquent

02/11 2015

v1.1.1

1.1.1.0 https://github.com/thephprentmarket/eleqhant

Eloquent extension to provide a little bit more functionality. Works for both L4 and L5

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel eloquent